Subject: Re: [tsvwg] draft-ietf-tsvwg-sctp-failover: comments and suggestions

From: <[email-masked]>
Date: Mon, 29 Jul 2013 09:07:54 +0300

>> Side note: A single drop of a data packet on a sparsely loaded path
>> (or in data tail - not enough data for Fast Recovery to kick in) today
>> also results in CWND reduction and this of course compares with the loss of HB
>situation.
>> But I think that this is a problem, rather than a desired effect, in
>> the present algorithms that one continuously tries to find solutions
>> for. We should not make this problem worse by also introducing if for
>> single drop of HBs. I think.
>
>I also think we need something here as single drop of HB might not be an indication
>of severe congestion.
>I'm thinking that something like draft-ietf-tcpm-newcwv might need to be
>considered.
>

Yes, I think that it is relevant to consider to complement or replace the exponential decay of the 
CWND of SCTP with the mechanisms of draft-ietf-tcmp-newcwv. However, I see this as a more general issue.
The problem space here, I believe, is more in the area of F_RTO, TPL and alikes.
Namely to avoid "unnecessary" T3-timeouts and resulting undesirable effects in terms of drastic CWND reduction
and, for SCTP, path failover.

For now, in this draft, still the best may simply be to stick with RFC4960 operation and do nothing special with
the CWND in the PF state. Then more advanced handling in PF states could come in a follow up ?

Thanks,

Karen

>Thanks,
>--
>Yoshifumi